<?xml version="1.0" encoding="utf-8"?>
<object meta_type="Dexterity FTI"
        name="ploneintranet.userprofile.workgroupcontainer"
>

  <!-- Basic metadata -->
  <property name="title">Workgroups Folder</property>
  <property name="description">A container for workgroup</property>
  <property name="icon_expr">string:${portal_url}/folder_icon.png</property>
  <property name="factory">ploneintranet.userprofile.workgroupcontainer</property>
  <property name="global_allow">False</property>
  <property name="filter_content_types">True</property>
  <property name="allowed_content_types">
    <element value="ploneintranet.userprofile.workgroup" />
  </property>
  <property name="allow_discussion">False</property>

  <!-- schema and class used for content items -->
  <property name="schema">ploneintranet.userprofile.content.workgroupcontainer.IWorkgroupContainer</property>
  <property name="klass">ploneintranet.userprofile.content.workgroupcontainer.WorkgroupContainer</property>

  <property name="behaviors">
    <element value="plone.namefromtitle" />
    <element value="plone.basic" />
  </property>

  <!-- View information -->
  <property name="link_target" />
  <property name="immediate_view">view</property>
  <property name="default_view">view</property>
  <property name="view_methods">
    <element value="view" />
  </property>
  <property name="default_view_fallback">False</property>
  <property name="add_permission">cmf.ManagePortal</property>


  <!-- Method aliases -->
  <alias from="(Default)"
         to="(dynamic view)"
  />
  <alias from="view"
         to="(selected layout)"
  />
  <alias from="edit"
         to="@@edit"
  />
  <alias from="sharing"
         to="@@sharing"
  />

  <!-- Actions -->
  <action action_id="view"
          category="object"
          condition_expr=""
          title="View"
          url_expr="string:${object_url}/"
          visible="True"
  >
    <permission value="View" />
  </action>
  <action action_id="edit"
          category="object"
          condition_expr=""
          title="Edit"
          url_expr="string:${object_url}/edit"
          visible="True"
  >
    <permission value="Modify portal content" />
  </action>
</object>
